List incident events with filters
curl --request GET \
--url https://api.coralogix.com/mgmt/openapi/5/incidents/events/v1 \
--header 'Authorization: <api-key>'import requests
url = "https://api.coralogix.com/mgmt/openapi/5/incidents/events/v1"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.coralogix.com/mgmt/openapi/5/incidents/events/v1', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"cxEventKey": "<string>",
"cxEventTimestamp": "2023-11-07T05:31:56Z",
"incidentEvent": {
"administrativeEvent": {
"userId": "<string>"
},
"id": "incident_event_id",
"incidentEventType": "INCIDENT_EVENT_TYPE_ACKNOWLEDGE",
"originatorType": "ORIGINATOR_TYPE_OPERATIONAL",
"snoozeIndicator": {
"durationMinutes": 262980,
"startTime": "2023-11-07T05:31:56Z",
"userId": "<string>"
},
"acknowledge": {
"acknowledgedBy": {
"userId": "user_id"
}
},
"assignment": {
"assignment": {
"assignedBy": {
"userId": "user_id"
},
"assignedTo": {
"userId": "user_id"
}
}
},
"close": {
"closedBy": {
"userId": "user_id"
}
},
"operationalEvent": {
"systemName": "<string>"
},
"unassign": {},
"upsertState": {
"payload": {
"cxEventKey": "<string>"
},
"stateType": "UPSERT_INCIDENT_STATE_TYPE_UNSPECIFIED",
"isMuted": true
}
},
"incidentEventExtendedMetadata": {
"alertGroupByFields": [
"<string>"
],
"alertId": "<string>",
"alertLabels": [
{
"key": "key",
"value": "value"
}
],
"alertName": "<string>",
"alertType": "INCIDENT_EVENT_ALERT_TYPE_STANDARD_OR_UNSPECIFIED",
"incidentPermutation": {},
"incidentSeverity": "INCIDENT_SEVERITY_UNSPECIFIED",
"incidentState": "INCIDENT_STATE_UNSPECIFIED",
"incidentStatus": "INCIDENT_STATUS_UNSPECIFIED",
"isMuted": true
}
}
],
"pagination": {
"totalSize": 100,
"nextPageToken": "next_page_token"
}
}{
"code": 349,
"message": "<string>"
}{
"code": 349,
"message": "<string>"
}{
"code": 349,
"message": "<string>"
}Incidents Service
List incident events with filters
List incident events with support for filtering, pagination, and ordering. This operation accepts a page size of at most 1000 (it defaults to 100 when pageSize is omitted) and rejects larger values, even though the shared pagination schema documents a maximum of 10000.
Requires the following permissions:
incidents:read
List incident events with filters
Authorizations
API key authentication
Query Parameters
Filter for incident events Filter configuration for incident events
Show child attributes
Show child attributes
Pagination parameters. This request accepts at most 1000 items per page, and defaults to 100 when pageSize is omitted; the shared maximum of 10000 does not apply here. Pagination parameters for list requests
Show child attributes
Show child attributes
Order by fields for incident events
Show child attributes
Show child attributes
Was this page helpful?